VERSION 5.00
Object = "*\AstCalendarCtl.vbp"
Begin VB.Form frmDemoM 
   Caption         =   "Calendar Markings Demo"
   ClientHeight    =   3465
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   4470
   LinkTopic       =   "Form1"
   ScaleHeight     =   3465
   ScaleWidth      =   4470
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cmbMonth 
      Height          =   315
      Left            =   1080
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   45
      Width           =   870
   End
   Begin VB.ComboBox cmbYear 
      Height          =   315
      Left            =   90
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   45
      Width           =   960
   End
   Begin stCalendarCtl.stCalendar stCalendar1 
      Height          =   2940
      Left            =   90
      TabIndex        =   0
      Top             =   450
      Width           =   4245
      _ExtentX        =   7488
      _ExtentY        =   5186
      BorderStyle     =   1
      ViewHeaderChar  =   3
      SelectionType   =   1
      cDay            =   16
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Label lblDate 
      Caption         =   "lblDate"
      Height          =   195
      Left            =   2070
      TabIndex        =   1
      Top             =   180
      Width           =   1185
   End
   Begin VB.Menu mnuMarkings 
      Caption         =   "Markings"
      Begin VB.Menu mnuMark 
         Caption         =   "Mark"
         Begin VB.Menu mnuMarkT 
            Caption         =   "Type 1"
            Index           =   0
         End
         Begin VB.Menu mnuMarkT 
            Caption         =   "Type 2"
            Index           =   1
         End
         Begin VB.Menu mnuMarkT 
            Caption         =   "Type 3"
            Index           =   2
         End
         Begin VB.Menu mnuMarkT 
            Caption         =   "Type 4"
            Index           =   3
         End
      End
      Begin VB.Menu mnuDemark 
         Caption         =   "Demark"
         Begin VB.Menu mnuDemarkT 
            Caption         =   "Type 1"
            Index           =   0
         End
         Begin VB.Menu mnuDemarkT 
            Caption         =   "Type 2"
            Index           =   1
         End
         Begin VB.Menu mnuDemarkT 
            Caption         =   "Type 3"
            Index           =   2
         End
         Begin VB.Menu mnuDemarkT 
            Caption         =   "Type 4"
            Index           =   3
         End
      End
   End
End
Attribute VB_Name = "frmDemoM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' This example demonstrates how stCalendar control can be used.
' It shows how to (de)mark only selected calendar days, using a popup menu.
' The marking-changes you make in this demo are not stored.

Option Explicit
                        ' in case you want to detect changes elsewhere
Dim Changes As Boolean  ' not really used in this program

Private Sub cmbMonth_Click()
   stCalendar1.cMonth = cmbMonth.ListIndex + 1
   lblDate.Caption = Format(stCalendar1.cDay) & "/" & Format(stCalendar1.cMonth) & "/" & Format(stCalendar1.cYear)
End Sub

Private Sub cmbYear_Click()
   stCalendar1.cYear = cmbYear.List(cmbYear.ListIndex)
   lblDate.Caption = Format(stCalendar1.cDay) & "/" & Format(stCalendar1.cMonth) & "/" & Format(stCalendar1.cYear)
End Sub

Private Sub Form_Load()
   frmDemoS.Show
   
   Dim I As Long
   Dim Yr As Long
   
   Yr = Val(Format(Now, "yyyy"))
   For I = Yr - 6 To Yr + 6
      cmbYear.AddItem Str(I)
   Next I
   cmbYear.ListIndex = 6
   
   For I = 1 To 12
      cmbMonth.AddItem Format(CDate("1/" & I & "/1999"), "mmmm")
   Next I
   cmbMonth.ListIndex = Month(Now) - 1
   
   mnuMarkings.Visible = False
   lblDate.Caption = Format(stCalendar1.cDay) & "/" & Format(stCalendar1.cMonth) & "/" & Format(stCalendar1.cYear)
End Sub

Private Sub Form_Resize()
   If Me.WindowState = 1 Then Exit Sub
   If Me.WindowState = 0 Then
      If Me.Width < 3090 Then Me.Width = 3090
      If Me.Height < 3090 Then Me.Height = 3090
      End If
   stCalendar1.Width = Me.ScaleWidth - stCalendar1.Left - 120
   stCalendar1.Height = Me.ScaleHeight - stCalendar1.Top - 120
End Sub

Private Sub mnuDemarkT_Click(Index As Integer)
   Dim d As Integer
   For d = 1 To stCalendar1.DayCount
      If stCalendar1.IsDaySel(d) = True Then
         stCalendar1.DayMarking d, Index, False ' day, type, on/off
         'here comes code that changes your data
         End If
   Next d
   stCalendar1.CalendarRedraw
   Changes = True
End Sub

Private Sub mnuMarkT_Click(Index As Integer)
   Dim d As Integer
   For d = 1 To stCalendar1.DayCount
      If stCalendar1.IsDaySel(d) = True Then
         stCalendar1.DayMarking d, Index, True ' day, type, on/off
         'here comes code that changes your data
         End If
   Next d
   stCalendar1.CalendarRedraw
   Changes = True
End Sub

Private Sub stCalendar1_DayClicked(ByVal Button As Integer, ByVal Shift As Integer, ByVal iDay As Integer, Cancel As Boolean)
   If Button = 2 Then
      PopupMenu mnuMarkings
      Cancel = True ' cancel normal action: (de-)selection of cell
      End If
End Sub

Private Sub stCalendar1_SelChanged()
   lblDate.Caption = Format(stCalendar1.cDay) & "/" & Format(stCalendar1.cMonth) & "/" & Format(stCalendar1.cYear)
End Sub


